Subject: RE: [ANNOUNCEMENT] Updated: openssl-0.9.8a-1 - core dump
From: "Ralf Hauser" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>
Date: Mon, 31 Oct 2005 19:13:03 +0100

Hi Corinna,

As per your message cited below, I am trying to use the new openssl version
as follows and it core dumps:
>>> openssl smime -decrypt -inkey  decryptionKey.pem -in
mimeMessageEncrypted.eml
>>>Enter pass phrase for decryptionKey.pem:
>>>Segmentation fault (core dumped)
>>>What did I do wrong?
>>Are you by any chance using the 0.9.8a 'smime' utility with the older 
>>'0.9.8' OpenSSL shared library? If so the you'd get that result 
>>because the required functionality isn't in 0.9.8, only 0.9.8a.
[[email-masked]] ... you said:
> 
> "Cygwin: OpenSSL 0.9.8a 11 Oct 2005 (Library: OpenSSL 0.9.8 05 Jul 2005)"
> 
> You get that when the shared library (DLL) isn't the same as the openssl
> utility version. This is the cause of the problems.
> 
> You need to find where the DLL is that the openssl utility is using and
> replace it with the 0.9.8a version. It might be called something like
> cryptoeay32-0.9.8.dll
I only find
libcrypt.a*
libcrypt.dll.a*
where do you put the openssl libraries?
> 
> You can tell the difference by doing:
> 
> nm whatever.dll | grep X509_VERIFY_PARAM_set_flags
> nm whatever.dll | grep X509_VERIFY_PARAM_get_flags
> 
> If you don't get any output for X509_VERIFY_PARAM_get_flags its the
> 0.9.8 library. If you get output for both its 0.9.8a or later. If you
> don't get output for either its probably 0.9.7X.
In the above 2 .a files, I don't find either...

Many thanks for any hints in advance!

   Ralf
> -----Original Message-----
> From: Corinna Vinschen [mailto:[email-masked]]
> Sent: Tuesday, October 11, 2005 3:33 PM
> To: [email-masked]
> Subject: [ANNOUNCEMENT] Updated: openssl-0.9.8a-1, openssl-devel-0.9.8a-1,
> openssl097-0.9.7h-1
> 
> I've updated the version of OpenSSL to 0.9.8a-1.  This also includes the
> openssl-devel package.  The compatibility package openssl097 has been
> updated to 0.9.7h-1.
> 
> This is a upstream ecurity and bugfix release.  The Cygwin release is the
> vanilla version, no additional patches.
> 
> Official release message:
> =======================================================================
> 
>    OpenSSL version 0.9.8a and 0.9.7h released
>    ==========================================
> 
>    OpenSSL - The Open Source toolkit for SSL/TLS
>    http://www.openssl.org/
> 
>    The OpenSSL project team is pleased to announce the release of
>    version 0.9.8a of our open source toolkit for SSL/TLS. This new
>    OpenSSL version is a security and bugfix release and incorporates
>    changes and bugfixes to the toolkit.  For a complete list of
>    changes, please see http://www.openssl.org/source/exp/CHANGES.
> 
>    We also release 0.9.7h, which contains the same security bugfix as
>    0.9.8a and a few small bugfixes compared to 0.9.7g.
...

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/